extends ../base.jade

block vars
  - var page = 'knowledge', locale = req.getLocale()
  - var searchFields = {technology: __('technology_m'), tool: __('tool_m'), base: __('base_m')}
  - var type = _.isArray( req.param('type') )? req.param('type') : [req.param('type')]

block title
  title= __('knowledge_base')+' | '+ __('title_right_part')

block main
  .Filter.FW(style="margin-bottom: 0")
    .PW.VA
      form.IB(method="GET", action="/knowledge")
        button.button.press.toRight(type="submit")= __('search')
        - var counter = 0
        
        for val, key in searchFields
          input(id= "filter"+counter, type="checkbox", name="type", value= key, checked= ( type.indexOf(key) !== -1 )? true : false )
          label(for= "filter"+counter)= val
          - counter++
        input.text(type="text", name="text", value= req.param('text'))
  
  if knowledges[0]
    .Knowledge.PW
      - var currentLetter = ''
      - var counter = 0

      for item in knowledges
        - var firstLetter = item['name_'+locale].charAt(0).toUpperCase()
        if (firstLetter !== currentLetter)
          - currentLetter = firstLetter
          - counter = 1
          != '<div class="blockLetter"><div class="blockTop"><span class="letter">'+currentLetter+'</span> <span class="term_counter">'+listing[currentLetter]+' '+Transform.edit_end_of_word( listing[currentLetter], 'term', locale )+'</span></div><div class="blockBottom isle">'
          
        else
          - counter++

        .item
          a.name(href='/knowledge/#{item.id}')= item['name_'+locale]

        if ( listing[currentLetter] === counter)
          != '</div></div>'

  else
    p= __('stub_search')
